Tech Tip: UIM - Is it possible to update the OpenSSL used by the hub and robot?

Document created by DavidM Employee on Aug 9, 2016Last modified by SamCreek on Dec 17, 2016
Version 4Show Document
  • View in full screen mode

Introduction:

OpenSSL has been updated with some new features we would like to take advantage of.

 

Question:

How is the revision of OpenSSL which the hub and robot use updated?

 

Answer:

The revision of OpenSSL is hard coded and can not be updated except via an update to the hub/robot.

 

Additional Information:

Each release of OpenSSL is evaluated to determine whether the changes contained are applicable to UIM use cases. When an applicable urgent vulnerability is patched in OpenSSL the hub and robot components are patched accordingly. Otherwise the best available version of OpenSSL is chosen prior to each general available release of the components.

As of hub 7.80 is it OpenSSL 1.0.1m.

To check/verify this go to the IM Console > select the hub probe > then Ctrl + P to open the probe utility > from the drop down list select tunnel_get_info > details > click the green arrow at the top. 

For an updated revision of OpenSSL to be considered for inclusion post an Idea in the User Forum with the use case.

 

 

This is a copy of my knowledge base document:

TEC1791404    Is it possible to update the OpenSSL used by the hub and robot?

http://www.ca.com/us/support/ca-support-online/product-content/knowledgebase-articles/tec1791404.aspx

Attachments

    Outcomes